<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__bist__custom__parameters__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_bist_custom_parameters_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1a0454367cc4a77a7e20a1864fa3d3e5f3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__enums_1ga0e370bf700c29e03461030db2779ceec">cy_en_capsense_bist_io_state_t</ref></type>
        <definition>cy_en_capsense_bist_io_state_t cy_stc_capsense_bist_custom_parameters_t::customISC</definition>
        <argsstring />
        <name>customISC</name>
        <briefdescription>
<para>The inactive state of sensors during the custom scan. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="728" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="728" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1aafb50e8ce6fad46c3a8b0224ce1714b6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_bist_custom_parameters_t::modClk</definition>
        <argsstring />
        <name>modClk</name>
        <briefdescription>
<para>The ModClk divider for a custom scan. </para>        </briefdescription>
        <detaileddescription>
<para>The minimum value is 1 and the maximum depends on a divider type, but for a reliable CSD HW block operation, it is recommended to provide a modulation clock frequency in the range from 1 to 50 MHz </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="729" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="729" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1aa9db7044638f1e6ee7a56a850f31d67d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_bist_custom_parameters_t::snsClk</definition>
        <argsstring />
        <name>snsClk</name>
        <briefdescription>
<para>The SnsClk divider for a custom scan. </para>        </briefdescription>
        <detaileddescription>
<para>The minimum value is 4 and the maximum is 4095, but for a reliable CSD HW block operation, it is recommended to provide an sensor clock frequency in the range from 100 to 6000 kHz </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="732" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="732" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1a064aef0add09fe3405402613b9195060" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_bist_custom_parameters_t::convNum</definition>
        <argsstring />
        <name>convNum</name>
        <briefdescription>
<para>The number of conversions for a custom scan. </para>        </briefdescription>
        <detaileddescription>
<para>The maximum raw counts is equal (convNum * snsClkDivider - 1), that corresponds to (2^Resolution - 1) in older notations. The minimum value is 4 and the maximum is 65535, but as the maximum raw counts is 65535, the convNum value should be less than (65536 / snsClkDivider) </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="735" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="735" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1aa24f7a01ccebf1ad20e600ca27565eac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_bist_custom_parameters_t::vrefGain</definition>
        <argsstring />
        <name>vrefGain</name>
        <briefdescription>
<para>The Vref gain for a custom scan. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="738" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="738" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1ada4f2a1109cc40af7ad1455e67252153" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_bist_custom_parameters_t::idacMod</definition>
        <argsstring />
        <name>idacMod</name>
        <briefdescription>
<para>Sets the code of the modulation IDAC for a custom scan. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="739" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="739" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1a60c9a9e518194f83bd0bba955066474f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_bist_custom_parameters_t::idacGainIndex</definition>
        <argsstring />
        <name>idacGainIndex</name>
        <briefdescription>
<para>Index of IDAC gain in table <ref kindref="compound" refid="structcy__stc__capsense__idac__gain__table__t">cy_stc_capsense_idac_gain_table_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="740" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="740" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__bist__custom__parameters__t_1a73d52513a1573f6fe1ad64ed47956660" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_bist_custom_parameters_t::fineInitTime</definition>
        <argsstring />
        <name>fineInitTime</name>
        <briefdescription>
<para>Number of dummy SnsClk periods at fine initialization for a custom scan. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="741" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="741" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares the BIST structure with custom scan parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="742" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="726" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="727" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1a064aef0add09fe3405402613b9195060" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>convNum</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1a0454367cc4a77a7e20a1864fa3d3e5f3" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>customISC</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1a73d52513a1573f6fe1ad64ed47956660" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>fineInitTime</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1a60c9a9e518194f83bd0bba955066474f" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>idacGainIndex</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1ada4f2a1109cc40af7ad1455e67252153" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>idacMod</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1aafb50e8ce6fad46c3a8b0224ce1714b6" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>modClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1aa9db7044638f1e6ee7a56a850f31d67d" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>snsClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t_1aa24f7a01ccebf1ad20e600ca27565eac" virt="non-virtual"><scope>cy_stc_capsense_bist_custom_parameters_t</scope><name>vrefGain</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>